
OBJS = paper.tex opengl.tex glvsd3d.tex shader.tex arb.tex glsl.tex examples.tex
IMGS = images/Hierarchy_UNIX.gif images/Hierarchy_WIN.gif images/Flow.gif \
		images/prog1.gif images/simplepipe.gif images/monocolor.gif images/flat.gif \
		images/flag.gif images/toon.gif images/perpixel.gif images/flaglighting.gif \
		images/direct3dpipe.gif
FIGS = ${IMGS:%.gif=%.png}

view: paper.pdf
	acroread paper.pdf

pdf: paper.pdf

#paper.pdf: paper.dvi
#	dvipdf paper.dvi

paper.pdf: $(OBJS) $(FIGS)
	pdflatex paper.tex

paper.dvi: $(OBJS) $(FIGS)
	latex paper.tex

clean:
	rm -rf paper.aux paper.dvi paper.pdf paper/ paper.toc paper.log $(FIGS)


images/Flow.png: images/Flow.gif
	convert $< $@

images/Hierarchy_UNIX.png: images/Hierarchy_UNIX.gif
	convert $< $@
	
images/Hierarchy_WIN.png: images/Hierarchy_WIN.gif
	convert $< $@

images/prog1.png: images/prog1.gif
	convert $< $@

images/simplepipe.png: images/simplepipe.gif
	convert $< $@

images/monocolor.png: images/monocolor.gif
	convert $< $@

images/flat.png: images/flat.gif
	convert $< $@

images/flag.png: images/flag.gif
	convert $< $@

images/toon.png: images/toon.gif
	convert $< $@

images/perpixel.png: images/perpixel.gif
	convert $< $@

images/flaglighting.png: images/flaglighting.gif
	convert $< $@

images/direct3dpipe.png: images/direct3dpipe.gif
	convert $< $@


